function Alerta(elemento){
Estrellas = [elemento.sum];
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuación es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");
 for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};
	}
  /// ///////// ///OBJETO NARRADOR ///////////////////////////////
  TIC.Narrador = (function(){
	  function Narrador(element, options){this.init(element, options);}
  
	  Narrador.prototype = {
		  init: function(element, options){
			  this.contador = 0;
			  this.element = element;
			  this.options = options;
  
			  var me = this;
			  $(".next", element).click(function () {
				  me.next();
			  });
			  $(".prev", element).click(function () {
				  me.prev();
			  });
			  
			 
			  
this.clickControlar = function(){		
var id = TIC.Diapositivas[me.contador].id;
if($('input:radio[name=options]').is(':checked')){
	$(".next").show();
	  $(".prev").show();
	  $(".relleno").hide();
	
var idRespuesta = $('input:radio[name=options]:checked').val();	
var idTest =$('input:radio[name=options]:checked').attr('id');	
 
me.sendData(idRespuesta, ActCode);
me.solve(idRespuesta,idTest);  
				}else {  
				  me.showAlert();
				   } 
//if (id == 3){
//	
//	$(".next").hide();
//	 $(".pizarra").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
//$(".next_url").css({"position":"absolute","right":"0","top":"100%","left":"95%","width":"5%"})
//	}				   
}; //// fin clickControlar
						 
			  this.clickCerrar = function(){
				   			   
				$(".pop_up_container").hide();
				
						 }
			  this.clickController = function(){
						 
						  $("#0").css({"background-image":"url(img/bot-si-hover.png)"})
						  //$("#0").addClass("push_si")
								// me.solve(id); 
						 }
			this.clickController2 = function(){
						$("#1").css({"background-image":"url(img/bot-no-hover.png)"})
						   //$("#0").removeClass("push_si")
						  // $("#1").addClass("push_no")
								// me.solve(id); 
						 }			 
			  
			  this.clickBoton2 = function(){
				   var id_enlace = parseInt(this.id.substring(1));
				   
				    me.muestra_enlace(id_enlace);
					
				  //me.id_enlace = id_enlace;
				  }
			  
			  this.clickBoton = function(){   
								
								
								
								
								 var id_boton = parseInt(this.id.substring(4));
								 me.muestra(id_boton);
								 
								
			}					
																			 
  
  
  
			  $(".indice").on('click',function(){
					 
				var indice= TIC.Indice[0].texto;
				
				$(".pop_up_container").show();
				$(".pop_up_container").html("<div class='pop_up'>"+indice+"<div class='cerrar'></div></div>");
				$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
				
				
				  })
				  
$(".progress").on('click',function(){
me.getData("Alerta","OAM03_");
$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
});
this.showSlide();
			  },

			  
sendData: function(idRespuesta){ 
createNewActivityScore(ActCode,idRespuesta);
},
getData: function(ActCode){  
getActivityScore("Alerta","OAM03_");
},
								  
  ///Siguiente diapositiva
		  next: function(){
			  
			   $(".reiniciar").hide();
			  this.contador++;
			  $(".prev").show();
			  n_diapos = TIC.Diapositivas.length - 1;
			  if(this.contador == n_diapos){
				  $(".next").hide();
			  }
			  if (this.contador == 0){
				
				  $(".prev").hide();
				  }
				  
			  this.showSlide();
  
		  },
		  
  ///Diapositiva anterior
		  prev: function(){
			  this.contador--;
			  this.showSlide();
			  $(".next").show();
			   $(".borrar").hide();
			  if(this.contador == 0)
				  $(".prev").hide();
			  this.showSlide();
  
		  },
		  

//// AQUI DEFINIMOS LAS PANTALLAS TIPO ////////////////				  
		  showSlide: function(){
			  
			  var diapo = TIC.Diapositivas[this.contador];
			  this.diapo = diapo;
			  var tipo = diapo.tipo;
		  
			  $(".pizarra").html("<img src='img/bg-sos.png' id='bg-sizer'/><section><header class='primero'></header><article class='" + tipo + "'><div class='col_izquierda'></div><div class='col_derecha'></div></article></section>");
			 // alert(tipo);
			  switch(tipo){
				  case "intro":
					  this.showIntro();
					  break;
				case "secuencia":
					  this.showSecuencia();
					  break;	  
				  case "diapo":
					  this.showDiapo();
					  break;
				  case "boton":
					  this.showBoton();
					  break;
				  case "test":
					  this.showTest();
					  break;

				
				 
			  }
		  },
////FIN PANTALLAS TIPO ////////////////



 showSecuencia: function(){
			 var me = this; 
			$(".next").hide();
			$(".prev").hide();
			  $(".relleno").show();
			var orden = TIC.Diapositivas[this.diapo.id].secuencia;  
			var secuencia = TIC.Secuencia[orden].secc;
			//var number = TIC.Secuencia[orden].number;
			$(".secuencia").html("<div class='string'><h4>"+secuencia+"</h4><div><img src='img/movil-08.png'><button class='next2'></button><p>Pulsa para continuar</p>");

			 $("#pizarra").on('click', '.next2', function(){
				 me.next();
				 
				 });
			  
			  },



//Tipo diapo
		  showDiapo: function(){
			  $(".next").hide();
			  $(".prev").hide();
			  $(".relleno").show();

			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
			  var orden_secuencia = TIC.Diapositivas[this.diapo.id].secuencia;  
			  var contenido = TIC.Contenidos_narrador[orden];
			  var secuencia = TIC.Secuencia[0].secc;
			    var img_narrador = TIC.Contenidos_narrador[orden].img_narrador;
			  
			  //alert(orden)
			$(".primero").html("<h1>"+secuencia+"</h1>");
			  
			  $(".next").show();
			   $(".prev").show();
			  $(".relleno").hide();
			 
			 $(".diapo").html("<div class='bubble'>"+contenido.texto+"</div><div class='narrador'><img src='img/"+contenido.img_narrador+".png'/></div>");
			 
			 if (img_narrador == ""){
				  
			 $(".diapo").html("<div id='scrollable'><div class='bubble'>"+contenido.texto+"</div></div>")
			  $(".bubble").addClass("plus");
			 
			  var scroller = new FTScroller(document.getElementById('scrollable'), {
			scrollingX: false
			
		});	
			 }
			 
			 
	 if (orden ==0){
		   $(".prev").hide();
				  $(".relleno").show();
		 }
		  if (orden ==2){
			  $(".next").hide();
			   $(".pizarra").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
				
			  
			  }
			  
			  

			 
			 
			 $("#pizarra").on('click', 'a.enlace', this.clickBoton2);

						  
		  },



//Tipo V/F
			  showTrue: function(){
				 
				  $(".next").hide();
				  $(".prev").hide();
				  $(".relleno").show();
				  
				  $("#pizarra").on('click', '#1', this.clickController2);
				  $("#pizarra").on('click', '#0', this.clickController);
				  
				  $(".reiniciar").hide();	
				  var number = TIC.Secuencia[0].number;
				  var secuencia = TIC.Secuencia[0].secc;
				  var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
				  var orden_diapo = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
				  var opciones = TIC.Test[orden].opciones;
				  var preguntas = TIC.Test[orden].preguntas;
				  var contenido = TIC.Contenidos_narrador[orden_diapo];
				  var cadenaHtml = "";
				  
				
				 
					  
			  for(j=0; j<opciones.length; j++){
				   var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
				   var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
				   var opciones = TIC.Test[orden].opciones;
				
					  cadenaHtml += "<div id='borrar_input"+j+"'><label for='op_test_"+j+"' id='"+j+"'><input value='"+ j + "' id='op_test_"+ j + "' name='options' type='radio' style='display:none;'>" + opciones[j][0]+"</label></div>"
					  
					  }
				  cadenaHtml = "<ul class='op_test'><form name='formulario' id='formulario'>" + cadenaHtml + "</form></ul>";
				 
				 
				
				  $(".col_izquierda").addClass("frases");
				  $(".primero").append("<h1>"+secuencia+"</h1>");	
				  $(".col_izquierda").html("<img src='img/movil-05-2.png' style='top:1%;width:45%;left:1%'/>"+contenido.texto+"");
				  $(".col_derecha").html("<h3>"+preguntas+"</h3><div class='pregunta-01 bounceInUp'><p class='limpio'>"+cadenaHtml+"</p><input type='button' id='boton' class='comprobar-01' value='Comprobar'><div class='explain2'></div>");
				  $(".explain2").addClass("oculto");
				
				if (orden == 0){
						$(".col_izquierda.frases img").css({"max-height":"80%"})
					}
	
	$("#0").addClass("si")
	$("#1").addClass("no")
	
	$("#pizarra").on('click', '#boton', this.clickControlar);
			  
			  }, 
			  
showTest: function(){
	
	 
			  var number = TIC.Secuencia[0].number;
				  var secuencia = TIC.Secuencia[0].secc;
				  var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
				  var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_dialogo;
				  var opciones = TIC.Test[orden].opciones;
				  var preguntas = TIC.Test[orden].preguntas;
				 // var contenido = TIC.Contenidos_narrador[orden_dialogo];
				  var cadenaHtml = "";
				  
				  $(".primero").append("<h1>"+secuencia+"</h1>");
					  
			  for(j=0; j<opciones.length; j++){
				   var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
				  // var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_dialogo;
				   var opciones = TIC.Test[orden].opciones;
				    ActCode = opciones[0][3];
						
					  cadenaHtml += "<li><input value='"+ opciones[j][2] + "' id='"+ j + "' name='options' type='radio'><label for='"+j+"'>" + opciones[j][1]+"</label></li>"
					  
					  }
				  cadenaHtml = "<ul class='radio_options'><form name='formulario' id='formulario'>" + cadenaHtml + "</form></ul>";
				 
				 
			  $(".next").hide();
			  $(".prev").hide();	
			  $(".relleno").show();
			
		//	$(".test").attr("style","background:#ec852f; box-sizing:border-box");
			
			 $(".test").addClass("temario");
				  $(".test").html("<div class='col_completa indent primero'><h3>"+preguntas+"</h3>"+cadenaHtml+"<input type='button' id='boton' class='comprobar-01' value='Comprobar'></div><div class='explain cont_explain'></div>");
				  $(".explain").addClass("oculto")
				 $(".comprobar-01").addClass("small");
		

			
			
			  
			 		  
			   
			   $("#pizarra").on('click', '#boton', this.clickControlar);
			   
			  
		  }, 		  
			  
			  
// funcion para "resolver" los Tests
		  solve: function(idRespuesta, idTest){
			
			  var number = 		TIC.Secuencia[0].number;
			  var secuencia = 	TIC.Secuencia[0].secc;
			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;	
			   var opciones = TIC.Test[orden].opciones;	  	
			  var pulsada = opciones[idRespuesta][1];
			  var feedback = TIC.Test[orden].feedback;



			// $(".next").show();
			//  $(".prev").show();
			 //  $(".relleno").hide();	
			 // $(".reiniciar").fadeIn();	
			 $(".flota_izquierda").hide();
			  $(".preguntas").hide();
			   $(".explain").html("");
			  if(pulsada == 0){

					$("#"+idRespuesta).addClass("correcto");
				   $(".test").append("<div class='explain' style='top: 70%; left: 0px; width: 100%; height: 30%; color: rgb(255, 255, 255); font-size: 1.2em;'>" + feedback[idTest] + "</div>");
				   $("#boton").hide();	
			  }else{
				  
				 $("#"+idRespuesta).addClass("error");
				
				  $(".test").append("<div class='explain' style='top: 70%; left: 0px; width: 100%; height: 30%; color: rgb(255, 255, 255); font-size: 1.2em;'>" + feedback[idTest] + "</div>");
				  $("#boton").hide();
			  
			 }
			
				
		  },
			  
			  







	
// funcion para mostrar Botones
  muestra: function(id_boton){
	 
		  
		  
		 
		  var orden = TIC.Diapositivas[this.diapo.id].n_orden_boton;
		  var plus = TIC.Boton[orden];
		  var encabezado = TIC.Boton[orden];
		  var img_plus = TIC.Boton[orden];
		 
		  $(".encabezado").html(encabezado.texto[id_boton]);
		  $(".plus").html(""+plus.plus[id_boton]+"<img src='img/"+plus.img_plus[id_boton]+".png' width='100%'; />");
		 $("#btn_"+id_boton+" a").css({"background":"#db9b5f"});
		 
		  if(plus.img_plus[id_boton] == ""){
			  
			  $(".plus").html(plus.plus[id_boton]);
			  }
		 

	  },		 
//Tipo Botón	
		  showBoton: function(){
			  contador2=0;
			  var orden_secc = TIC.Diapositivas[this.diapo.id].n_secc;
			  var number = TIC.Secuencia[0].number;
			  var secuencia = TIC.Secuencia[0].secc;	
			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_boton;
			  var orden_enlace = TIC.Diapositivas[this.diapo.id].n_orden_enlace;	
			  var botones = TIC.Boton[orden].texto;
			  var intro = TIC.Boton[orden].intro;
			  var imagen = TIC.Boton[orden].imagen;
			  var mensaje = TIC.Boton[orden].mensaje;
			  var cadenaHtml = "";
		//	  var mas_info = TIC.Pop[orden_enlace].texto;
			//  var orden_mas = TIC.Pop[orden_enlace].orden;



			  $(".reiniciar").hide();
			 // $(".next").hide();
			//  $(".prev").hide();
			//  $(".relleno").show();	

			

///////////////////PINTA LOS BOTONES ////////////////////////////			  
			  for(i=0; i<botones.length; i++){
				  cadenaHtml += "<li class='boton-link' id='btn_"+ i + "'><a>" + botones[i] + "</a></li>"
				  $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton); 
			  }
///////////////////FIN PINTA LOS BOTONES ////////////////////////////			  
			  
			  cadenaHtml ="<ul class='menu_vert_x4'>"+cadenaHtml+"</ul>"			
			  $(".primero").append("<h1>"+secuencia+"</h1>");
			  $(".col_izquierda").removeClass("frases");
			  $(".col_izquierda").addClass("menu temario");
			  
			
			  $(".col_izquierda").html("<h3>"+intro+"</h3>"+cadenaHtml);
			  
			  if(imagen == "none"){
				   $(".col_izquierda").html("<h3>"+intro+"</h3>"+cadenaHtml+mensaje);
				    $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton);
				  }
			  
			  $(".col_derecha").html("<h5 class='encabezado'></h5><div id='scrollable'><p class='plus'><img src='img/"+imagen+".png'/>"+mensaje+"</figure></p></div>");
			  
			  var scroller = new FTScroller(document.getElementById('scrollable'), {
			scrollingX: false
			
		});	
			   
			  
			  
			  if (botones == "?"){
				  $(".boton").html("<div class='menu temario'><h3>"+intro+"</h3>"+cadenaHtml+"</div><div id='scrollable'><p class='plus'></p></div>");
				  
				  var scroller = new FTScroller(document.getElementById('scrollable'), {
			scrollingX: false
		});	
				  
					$(".menu_vert_x4 a").addClass("question");
					//$(".question").removeClass("menu_vert_x4")			 
				   $(".question").css({"width":"15%","text-align":"center","position":"absolute","font-size":"4em","background-image":"#db9b5f","padding":"5%","left":"40%"});
				   $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton);
				  }
				  
				if (orden == 0){
					$(".next").hide();
					 $(".pantalla").append("<div class='borrar'><input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next'></p></label></div>");
			  $(".next").css({"margin-top":"-8%"})
					}
			  
			  
		$("#pizarra").on('click', 'a.enlace', this.clickBoton2);		   
			
		  },
		  
		  
		   showAlert: function(){
				  
				
				  $(".pop_up_container").fadeIn();
				  
				  $(".pop_up_container").html("<div class='pop_up'><span style='text-align:center;margin-left:22%;color:#db9b5f;font-size:2em;font-family:&quot;ag-book&quot'>Selecciona una opción</span><div class='cerrar'></div></div>")
				  $(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
				  
				  }, 
		  
 muestra_enlace: function(id_enlace){
		
		 var mas_info = TIC.Pop[id_enlace].texto; 
		
		 $(".pop_up_container").show();
		 $(".pop_up_container").html("<div class='pop_up'>"+mas_info+"<div class='cerrar'></div></div>");
		 $(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
		 
		  var scroller = new FTScroller(document.getElementById('scrollable'), {
			scrollingX: false
			
		});	
		 
		 },			  

  }	
	  
	  return Narrador;
  }());
  
  
  function newDoc() {
    window.location.assign("OAM01_06.html")
}